Plus de son !


#1

Toujours avec mon Asus X205T (compatibilité médiocre)
Voici le retour de alsa-info

http://ix.io/1bIs

Depuis la mise à jour du 27 mai je n’ai plus de son. Voici le contenu de /var/log/apt/history.log de cette date

http://ix.io/1bIx

Je pense que le son fonctionne, mais n’est pas dirigé vers les haut-parleurs. pavucontrol affiche le port « speaker unpluged », ce qui est confirmé par la commande pactl list

http://ix.io/1bIE
241: [Out] Speaker: Speaker (priority: 100, not available)

Voici le retour d’une commande qui devrait produire du son, et qui n’en produit pas :
time aplay /usr/share/scratch/Media/Sounds/Percussion /Gong.wavLecture WAVE ‘/usr/share/scratch/Media/Sounds/Percussion/Gong.wav’ : Signed 16 bit Little Endian, Fréquence 11025 Hz, Mono

real	0m10,716s
user	0m0,041s
sys	0m0,047s

Ce qui montre que le fichier son est bien traité par aplay, mais sans sortie sur les haut-parleurs.

Sur cette machine, il y a bien des touches pour activer/désactiver le son, mais elles ne semblent pas reconnues et de toute façon ne changent rien au problème.

Je n’ai pas d’idée pour sortir de là. La dernière fois que j’ai perdu le son, j’ai du attendre près de deux ans pour que je le retrouve à la faveur d’une mise à jour.
Est-ce que je peux remettre les libasound2 libasound2-plugins libasound2-data précédents, et comment le faire ? (1.1.3-5 <- 1.1.6-1) . Faut-il faire un rapport de bug, et pour quel package ?


#2

Salut
Es tu certain qu’aucun réglage n’est sur M (mute)

alsamixer

F6 pour selectionner la carte son


#3

J’ai évidemment essayé alsamixer et tous les réglages possibles.


#4

il y a évidemment pleins de vérifications à faire
https://debian-facile.org/doc:materiel:cartes-son:depannage
https://wiki.debian-fr.xyz/Diagnostiquer_un_problème_alsa


#5

Une question légèrement HS : pourquoi une installation 32 bits ?


#6

C’est gentil de renvoyer à une documentation, ça serait mieux si elle était à jour.
J’ai essayé

root@elfie:~# apt-get install alsa-base alsa-utils --reinstall --purge 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet alsa-base n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « alsa-base » n'a pas de version susceptible d'être installée

#7

Certes alsa-base n’existe plus dans stretch et suivants.

Il suffit d’adapter la commande sans référence à ce paquet.


#8

Franchement, si on n’a pas de meilleure réponse qu’un RTFM avec un M pas à jour ou d’un démerde toi, il serait plus correct de s’abstenir de répondre.

Le dysfonctionnement a succédé à une mise à jour. Je soupçonne libasound2 d’être le coupable.
J’ai posé deux question : « est-il possible de revenir à une version antérieure de libasound2 ?»
« faut-il faire un rapport de bug ?»


#9

Grâce à ton expérience tu pourras en profiter pour mettre à jour la documentation.
C’est un travail collaboratif qui s’enrichi de l’expertise des participants comme toi.


#10

Oui

pourquoi pas ?

HS :

Une réponse à cette question ?


#11

libasound2-data:i386 (1.1.3-5, 1.1.6-1)
https://packages.debian.org/fr/stretch/libasound2
https://packages.debian.org/fr/sid/libasound2

tu veux utiliser sid, quand on ne maîtrise pas vaut mieux rester en stable, actuellement Stretch

  • Pour rétrograder un paquet

s’assurer qu’on a accès au dépôts gérant la version, en l’occurence stable/stretch

egrep stretch /etc/apt/sources.list
deb http://deb.debian.org/debian-security/ stretch/updates contrib main non-free
deb http://deb.debian.org/debian/ stretch contrib main non-free

d’abord une simulation pour vérifier que c’est possible

apt -s install --reinstall libasound2-data/stable

si tout va bien, on balance la purée

apt install --reinstall libasound2-data/stable


#12

chez moi sur ma stable à jour et qui n’a pas de problème de son:

avram@sda5-stretch: 10:28:53: ~$ apt-cache policy  libasound2
libasound2:
  Installé : 1.1.3-5
  Candidat : 1.1.3-5
 Table de version :
     1.1.6-1 100
        100 http://ftp.debian.org/debian sid/main amd64 Packages
 *** 1.1.3-5 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
avram@sda5-stretch: 10:30:21: ~$ 
avram@sda5-stretch: 10:29:21: ~$ apt-cache policy  libasound2-data
libasound2-data:
  Installé : 1.1.3-5
  Candidat : 1.1.3-5
 Table de version :
     1.1.6-1 100
        100 http://ftp.debian.org/debian sid/main amd64 Packages
 *** 1.1.3-5 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
avram@sda5-stretch: 10:30:21: ~$ 

donc ton problème ne doit pas provenir d’une maj; essayes plutôt de regarder dans les règlages de pavucontrol.


#13

Aucun problème de son non plus dans testing/buster avec la lib 1.6

    apt policy libasound2
    libasound2:
      Installé : 1.1.6-1
      Candidat : 1.1.6-1
     Table de version :
     *** 1.1.6-1 500
            500 http://deb.debian.org/debian buster/main amd64 Packages
            100 /var/lib/dpkg/status
         1.1.3-5 500
            500 http://deb.debian.org/debian stretch/main amd64 Packages

#14

Bonjour gigi_air, le même jour où tu as effectué un apt full-upgrade, j’ai effectué aptitude safe-upgrade, je vais comparer. Chez moi :

Linux Linux-c-mieux 4.16.0-1-amd64 #1 SMP Debian 4.16.5-1 (2018-04-29) x86_64 GNU/Linux

$ apt-cache show gnome-shell | grep Version
Version: 3.28.2-1

libasound2-data:amd64 (1.1.3-5, 1.1.6-1)
libasound2:amd64 (1.1.3-5, 1.1.6-1)
libasound2-plugins:amd64 (1.1.1-1, 1.1.6-1)

Chez toi :
libasound2-data:i386 (1.1.3-5, 1.1.6-1)
libasound2:i386 (1.1.3-5, 1.1.6-1)
libasound2-plugins:i386 (1.1.1-1, 1.1.6-1)

Nous sommes partis des mêmes versions de paquets et arrivés aux mêmes versions et j’ai toujours du son.

Pour information, un autre utilisateur a aussi eu brusquement des problèmes de son :
https://www.debian-fr.xyz/viewtopic.php?f=8&t=1468&p=18641#p18631

Je sais qu’il utilise KDE comme environnement de bureau. Quel environnement de bureau utilises-tu ? Je vois aussi que tu utilises i386 comme architecture, alors que ceux qui n’ont pas de problème ( moi, grandtoubab )utilisent amd64, intuition à vérifier.

Tu peux peux faire un rapport de bug, je pense que toi et piratebab de l’autre forum, vous êtes des personnes sérieuses et de bonne foi. Pour le paquet à choisir comme cible du rapport, tu peux mettre l’un des trois au hasard, le mainteneur redirigera le rapport de bug sur le paquet qu’il estime en cause.


#15

on ne sait même pas si la carte son est bien détectée

cat /proc/asound/cards


#16

Si si, elle est détectée. Si ça n’avait pas été le cas, je l’aurais vu, quand même.
Le Asus X205TA est bien particulière, il a fallu toute la patience de passionnés pour arriver à faire fonctionner le son.
Apparemment il n’y a pas de problème avec libasound2. Par contre, pulseaudio sous testing est buggé

root@elfie:~# aptitude install pulseaudio
Les NOUVEAUX paquets suivants vont être installés :     
  libasound2-plugins{a} libpulsedsp{a} pulseaudio pulseaudio-utils{a} rtkit{a} 
0 paquets mis à jour, 5 nouvellement installés, 0 à enlever et 3 non mis à jour.
Il est nécessaire de télécharger 0 o/1 382 ko d'archives. Après dépaquetage, 7 134 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] 
Récupération des rapports de bogue… Fait      
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité grave sur pulseaudio (→ 11.1-5) <En attente de traitement>
 b1 - #541538 - pulseaudio: disable flat volumes
   Fusionné avec : 674935 674936 697119 782730

#17

Peut-être, en tout cas pas bloquant, il fonctionne quand même

apt policy pulseaudio
pulseaudio:
  Installé : 11.1-5
  Candidat : 11.1-5
 Table de version :
 *** 11.1-5 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
     10.0-1+deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages

pavucontrol


#18

https://bugs.debian.org/541538

Si on navigue sur tous les bugs que tu indiques on s’aperçoit que beaucoup de ces bugs sont liés à KDE et en plus sont récurrents ( ils sont résolus, mais ils reviennent ensuite plus ou moins transformés dans une version supérieure de KDE ).

Utilises-tu KDE ?
Sur l’autre fil, piratebab a résolu le problème avec :

$ amixer sset Master unmute


#19

Je n’utilise pas Kde mais Xfce4.
La commande proposée a le même effet que de démuter sous alsamixer et ne résout pas le problème.

J’ai eu un incident plutôt inquiétant, ça a commencé par un bruit de grésillement bref juste après la connexion à une session graphique (xfce4). Puis quelques démarrages suivant le grésillement a été continu.
J’ai du fermer la session.
Le grésillement s’est arrêté, mais il y a eu un échauffement de la machine, à gauche et à droite du clavier (emplacement des haut-parleurs ?) une odeur de brûlé. ça m’a surpris car cette machine ne chauffe pratiquement pas (10h d’autonomie). J’ai viré pulseaudio et depuis ça ne le fait plus. J’ai peur d’avoir grillé quelque chose. Depuis j’ai viré pulseaudio et ça ne le fait plus.

J’ai une autre machine un peu plus ancienne mais avec une carte son HDA Intel. Le son fonctionne sur les haut-parleurs, mais avec alsamixer il faut régler la sortie headphones à fond pour l’entendre ! Rien à voir avec ma carte chtrt5645 sur ma machine courante, mais ça démontre qu’il peut y avoir des bugs